DCMTK: DiMonoOutputPixel Class Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
DiMonoOutputPixel Class Referenceabstract

Abstract base class to create monochrome output data. More...

Inheritance diagram for DiMonoOutputPixel:

## Public Member Functions
| DiMonoOutputPixel (const DiMonoPixel *pixel, const unsigned long size, const unsigned long frame, const unsigned long max)
| constructor
virtual | ~DiMonoOutputPixel ()
| destructor
virtual EP_Representation | getRepresentation () const =0
| get integer representation (abstract)
virtual const void * | getData () const =0
| get pointer to output pixel data (abstract)
virtual void * | getDataPtr ()=0
| get pointer to output pixel data (abstract)
virtual void | removeDataReference ()=0
| remove reference to (internally handled) pixel data (abstract)
virtual size_t | getItemSize () const =0
| get size of one pixel / item in the pixel array (abstract)
virtual int | writePPM (STD_NAMESPACE ostream &stream) const =0
| write pixel data of selected frame to PPM/ASCII file (abstract)
virtual int | writePPM (FILE *stream) const =0
| write pixel data of selected frame to PPM/ASCII file (abstract)
unsigned long | getCount () const
| get number of pixel per frame
int | isUnused (const unsigned long value)
| check whether specified pixel value is used in the image.

## Protected Member Functions
virtual void | determineUsedValues ()=0
| examine which pixel values are actually used (abstract)

## Protected Attributes
unsigned long | Count
| number of pixels per frame (intermediate representation)
const unsigned long | FrameSize
| number of pixels per frame (memory buffer size)
Uint8 * | UsedValues
| array of used pixel values
const unsigned long | MaxValue
| maximum output value

## Detailed Description

Abstract base class to create monochrome output data.

## Constructor & Destructor Documentation

## ◆ DiMonoOutputPixel()

DiMonoOutputPixel::DiMonoOutputPixel | ( | const DiMonoPixel * | pixel,
|  | const unsigned long | size,
|  | const unsigned long | frame,
|  | const unsigned long | max )

constructor

Parameters

  pixel | pointer to intermediate pixel representation
  size | number of pixel per frame
  frame | frame to be rendered
  max | maximum output value

Referenced by DiMonoOutputPixelTemplate< T1, T2, T3 >::DiMonoOutputPixelTemplate().

## Member Function Documentation

## ◆ getCount()

unsigned long DiMonoOutputPixel::getCount | ( |  | ) | const
| inline

get number of pixel per frame

Returns
  number of pixel per frame

References FrameSize.

Referenced by DiMonoOutputPixelTemplate< T1, T2, T3 >::overlay().

## ◆ getData()

virtual const void * DiMonoOutputPixel::getData | ( |  | ) | const
| pure virtual

get pointer to output pixel data (abstract)

Returns
  pointer to pixel data

Implemented in DiMonoOutputPixelTemplate< T1, T2, T3 >.

## ◆ getDataPtr()

virtual void * DiMonoOutputPixel::getDataPtr | ( |  | ) |
| pure virtual

get pointer to output pixel data (abstract)

Returns
  pointer to pixel data

Implemented in DiMonoOutputPixelTemplate< T1, T2, T3 >.

## ◆ getItemSize()

virtual size_t DiMonoOutputPixel::getItemSize | ( |  | ) | const
| pure virtual

get size of one pixel / item in the pixel array (abstract)

Returns
  item size

Implemented in DiMonoOutputPixelTemplate< T1, T2, T3 >.

## ◆ getRepresentation()

virtual EP_Representation DiMonoOutputPixel::getRepresentation | ( |  | ) | const
| pure virtual

get integer representation (abstract)

Returns
  integer representation

Implemented in DiMonoOutputPixelTemplate< T1, T2, T3 >.

## ◆ isUnused()

int DiMonoOutputPixel::isUnused | ( | const unsigned long | value | ) |

check whether specified pixel value is used in the image.

Pixel array is examined when this method is called for the first time (just-in-time creation / create on demand of the supporting table).

Parameters

  value | pixel value to be checked

Returns
  true if value is used, false otherwise

## ◆ writePPM() [1/2]

virtual int DiMonoOutputPixel::writePPM | ( | FILE * | stream | ) | const
| pure virtual

write pixel data of selected frame to PPM/ASCII file (abstract)

Parameters

  stream | open C file stream

Returns
  status, true if successful, false otherwise

Implemented in DiMonoOutputPixelTemplate< T1, T2, T3 >.

## ◆ writePPM() [2/2]

virtual int DiMonoOutputPixel::writePPM | ( | STD_NAMESPACE ostream & | stream | ) | const
| pure virtual

write pixel data of selected frame to PPM/ASCII file (abstract)

Parameters

  stream | open C++ output stream

Returns
  status, true if successful, false otherwise

Implemented in DiMonoOutputPixelTemplate< T1, T2, T3 >.

The documentation for this class was generated from the following file:

- dcmimgle/include/dcmtk/dcmimgle/dimoopx.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2